import { LitElement } from 'lit-element';
import './support/truncating-label';
import { CompositeConnection, NodeLabelInfo, LayoutInfo, NodeColumn, StageInfo } from './PipelineGraphModel';
export declare class PipelineGraph extends LitElement {
    static get properties(): {
        stages: {
            type: ArrayConstructor;
        };
        layout: {
            type: ObjectConstructor;
        };
        selectedStage: {
            type: ObjectConstructor;
        };
    };
    stages: StageInfo[];
    layout: LayoutInfo;
    selectedStage: StageInfo;
    nodeColumns: Array<NodeColumn>;
    connections: Array<CompositeConnection>;
    bigLabels: Array<NodeLabelInfo>;
    smallLabels: Array<NodeLabelInfo>;
    branchLabels: Array<NodeLabelInfo>;
    measuredWidth: number;
    measuredHeight: number;
    connectedCallback(): void;
    update(changedProperties: Map<string, any>): void;
    private stagesUpdated;
    private renderBigLabel;
    private renderSmallLabel;
    private renderSequentialContainerLabel;
    private renderCompositeConnection;
    private renderBasicConnections;
    private renderSkippingConnections;
    private renderHorizontalConnection;
    private renderBasicCurvedConnection;
    private svgBranchCurve;
    private renderNode;
    private renderSelectionHighlight;
    private stageIsSelected;
    private stageChildIsSelected;
    private nodeClicked;
    render(): import("lit-element").TemplateResult;
    static styles: import("lit-element").CSSResult[];
    styleTemplate(): import("lit-element").TemplateResult;
}
