import { LitElement } from 'lit-element';
declare enum RenderState {
    INITIAL = 0,
    MEASURE = 1,
    FLUID = 2,
    STABLE = 3
}
interface Props {
    children?: string;
    style?: Object;
    className?: string;
}
/**
 * Multi-line label that will truncate with ellipses
 *
 * Use with a set width + height (or maxWidth / maxHeight) to get any use from it :D
 */
export declare class TruncatingLabel extends LitElement {
    static get properties(): {
        children: {
            type: StringConstructor;
        };
        style: {
            type: ObjectConstructor;
        };
        className: {
            type: StringConstructor;
        };
    };
    propChildren: string;
    propStyle: {};
    className: string;
    completeText: string;
    innerText: string;
    renderState: RenderState;
    checkSizeRequest?: number;
    textCutoffLength: number;
    longestGood: number;
    shortestBad: number;
    loopCount: number;
    createRenderRoot(): this;
    connectedCallback(): void;
    firstUpdated(): void;
    updated(): void;
    disconnectedCallback(): void;
    render(): import("lit-element").TemplateResult;
    handleProps(props: Props): void;
    invalidateSize(): void;
    checkSize(): void;
}
export {};
